> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Lấy giá quá khứ của Mã chứng khoán



## OpenAPI

````yaml /vi/openapi/fireant-v1.yaml get /symbols/{symbol}/historical-quotes
openapi: 3.1.0
info:
  version: v1
  title: FireAnt RESTFUL API
  description: Tài liệu đặc tả FireAnt RESTFUL API v1.0.0
servers:
  - url: https://api.fireant.vn
security: []
paths:
  /symbols/{symbol}/historical-quotes:
    get:
      tags:
        - Symbols
      summary: Lấy giá quá khứ của Mã chứng khoán
      operationId: Symbols_GetHistoricalQuotes
      parameters:
        - name: symbol
          in: path
          description: Mã chứng khoán
          required: true
          schema:
            type: string
        - name: startDate
          in: query
          description: Ngày bắt đầu
          required: true
          schema:
            format: date-time
            type: string
        - name: endDate
          in: query
          description: Ngày kết thúc
          required: true
          schema:
            format: date-time
            type: string
        - name: offset
          in: query
          description: Vị trí bản ghi đầu tiên lấy về (Dùng để phân trang, mặc địch là 0)
          required: false
          schema:
            format: int32
            type: integer
        - name: limit
          in: query
          description: Số lượng tối đa bản ghi lấy về (Dùng để phân trang, mặc địch là 20)
          required: false
          schema:
            format: int32
            type: integer
      responses:
        '200':
          description: Thành công
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/FireAnt.Api.Models.Quote.HistoricalQuote
            text/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/FireAnt.Api.Models.Quote.HistoricalQuote
        '400':
          description: Có lỗi khi thực hiện thao tác
      security:
        - oauth2:
            - symbols-read
components:
  schemas:
    FireAnt.Api.Models.Quote.HistoricalQuote:
      description: Giá lịch sử của một mã chứng khoán
      type: object
      properties:
        date:
          format: date-time
          description: Ngày giao dịch
          type: string
        symbol:
          description: Mã chứng khoán
          type: string
        priceHigh:
          format: double
          description: Giá cao nhất
          type: number
        priceLow:
          format: double
          description: Giá thấp nhất
          type: number
        priceOpen:
          format: double
          description: Giá mở cửa
          type: number
        priceAverage:
          format: double
          description: Giá trung bình
          type: number
        priceClose:
          format: double
          description: Giá đóng cửa
          type: number
        priceBasic:
          format: double
          description: Giá tham chiếu
          type: number
        totalVolume:
          format: double
          description: Tổng khối lượng
          type: number
        dealVolume:
          format: double
          description: Khối lượng khớp lệnh
          type: number
        putthroughVolume:
          format: double
          description: Khối lượng thỏa thuận
          type: number
        totalValue:
          format: double
          description: Tổng giá trị giao dịch
          type: number
        putthroughValue:
          format: double
          description: Giá trị thỏa thuận
          type: number
        buyForeignQuantity:
          format: double
          description: Khối lượng NĐT nước ngoài mua
          type: number
        buyForeignValue:
          format: double
          description: Giá trị NĐT nước ngoài mua
          type: number
        sellForeignQuantity:
          format: double
          description: Khối lượng NĐT nước ngoài bán
          type: number
        sellForeignValue:
          format: double
          description: Giá trị NĐT nước ngoài bán
          type: number
        buyCount:
          format: double
          description: Số lệnh mua
          type: number
        buyQuantity:
          format: double
          description: Khối lượng mua
          type: number
        sellCount:
          format: double
          description: Số lệnh bán
          type: number
        sellQuantity:
          format: double
          description: Khối lượng bán
          type: number
        adjRatio:
          format: double
          description: Tỉ lệ điều chỉnh
          type: number
        currentForeignRoom:
          format: double
          description: Room nước ngoài
          type: number
        propTradingNetDealValue:
          format: double
          description: Giá trị tự doanh mua ròng (khớp lệnh)
          type: number
        propTradingNetPTValue:
          format: double
          description: Giá trị tự doanh mua ròng (thỏa thuận)
          type: number
        propTradingNetValue:
          format: double
          description: Giá trị tự doanh mua ròng
          type: number
        unit:
          format: double
          description: Đơn vị giá
          type: number
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          scopes:
            accounts-read: Đọc danh sách tài khoản giao dịch chứng khoán
            accounts-write: Liên kết tài khoản chứng khoán
            orders-read: Đọc danh sách lệnh giao dịch chứng khoán
            orders-write: Đặt, sửa, hủy lệnh giao dịch chứng khoán
            companies-read: Đọc thông tin doanh nghiệp
            companies-write: Tạo mới, cập nhật, xóa thông tin doanh nghiệp
            individuals-read: Đọc thông tin cá nhân
            individuals-write: Tạo mới, cập nhật, xóa thông tin cá nhân
            finance-read: Đọc thông tin tài chính
            finance-write: Tạo mới, cập nhật, xóa thông tin tài chính
            posts-write: Đăng bài viết
            posts-read: Lấy nội dung các bài viết của cộng đồng
            symbols-read: Đọc thông tin mã chứng khoán
            symbols-write: Tạo mới, cập nhật, xóa mã chứng khoán
            users-read: Đọc dữ liệu công khai của người dùng
            user-data-read: Đọc tất cả dữ liệu của người dùng hiện tại
            user-data-write: Cập nhật tất cả dữ liệu của người dùng hiện tại
            search: Tìm kiếm
            academy-read: Đọc dữ liệu các khóa học
            academy-write: Đăng ký khóa học
            blog-read: Đọc dữ liệu blog
            investopedia-read: Đọc dữ liệu thuật ngữ
            commodities-read: Đọc dữ liệu hàng hóa phái sinh
            all_claims: All
            roles: Role
          authorizationUrl: https://accounts.fireant.vn/connect/authorize
      description: OAuth2 Implicit Grant

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.